package LesenEinerHTMLSeite;

/**
 * Title:        LesenEinerHTMLSeite
 * Description:  Mit Hilfe der Klasse URLConnection wird eine HTML Seite gelesen
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.net.*;
import java.io.*;

public class URLConnectionAnwendung {
  public static void main (String args[]) {

    System.out.println("Start URLConnectionAnwendung");
    String strZeile;
    URL u;
    URLConnection uc;

    if  (args.length > 0) {
      try {
        u = new URL(args[0]);
        try {
          uc = u.openConnection();
          DataInputStream disHTML = new DataInputStream(uc.getInputStream());
          System.out.println("URL: "+args[0]);
          report(u,uc); // Anzeige aller Eigenschaften
          System.out.println("");
          try {
            while ((strZeile = disHTML.readLine()) != null) {
              System.out.println(strZeile);
            } // while
          }  // try
          catch (Exception e) {
            System.err.println(e);
          }
        } // try
        catch (Exception e) {
          System.err.println(e);
        }

      } // try
      catch (MalformedURLException e) {
        System.err.println(args[0] + " ist keine korrekte URL");
        System.err.println(e);
      }
    } //  if
    System.out.println("\nEnde URLConnectionAnwendung");
  } // main

  public static void report(URL uURL,URLConnection ucURL) {
      URL u = uURL;
      URLConnection uc = ucURL;
      try {
        uc = u.openConnection();
        // fragen Sie mit dem Debugger alle Eigenschaften von uc ab
        System.out.println("Eigenschaften der URLConnection:");
        System.out.println("   getAllowInteraction :"+uc.getAllowUserInteraction());
        try {
        System.out.println("   getContent :"+uc.getContent());
        } catch (Exception e) { System.out.println("   getContent : Exception");}
        try {
        System.out.println("   getContentEncoding :"+uc.getContentEncoding());
        } catch (Exception e) { System.out.println("   getContentEncoding : Exception");}
        try {
        System.out.println("   getContentLength :"+uc.getContentLength());
        } catch (Exception e) { System.out.println("   getContentLength : Exception");}
        try {
        System.out.println("   getContentType :"+uc.getContentType());
        } catch (Exception e) { System.out.println("   getContentType : Exception");}
        try {
        System.out.println("   getDate :"+uc.getDate());
        } catch (Exception e) { System.out.println("   getDate : Exception");}
        try {
        System.out.println("   getDefaultAllowUserInteraction :"+uc.getDefaultAllowUserInteraction());
        } catch (Exception e) { System.out.println("   getDefaultAllowUserInteraction : Exception");}
        try {
        System.out.println("   getDefaultUseCaches :"+uc.getDefaultUseCaches());
        } catch (Exception e) { System.out.println("   getDefaultUseCaches : Exception");}
        try {
        System.out.println("   getDoInput :"+uc.getDoInput());
        } catch (Exception e) { System.out.println("   getDoInput : Exception");}
        try {
        System.out.println("   getDoOutput :"+uc.getDoOutput());
        } catch (Exception e) { System.out.println("   getDoOutput : Exception");}
        try {
        System.out.println("   getExpiration :"+uc.getExpiration());
        } catch (Exception e) { System.out.println("   getExpiration : Exception");}
        try {
        System.out.println("   getFileNameMap :"+uc.getFileNameMap());
        } catch (Exception e) { System.out.println("   getFileNameMap : Exception");}
        try {
        System.out.println("   getIfModifiedSince :"+uc.getIfModifiedSince());
        } catch (Exception e) { System.out.println("   getIfModifiedSince : Exception");}
        try {
        System.out.println("   getInputStream :"+uc.getInputStream());
        } catch (Exception e) { System.out.println("   getInputStream : Exception");}
        try {
        System.out.println("   getLastModified :"+uc.getLastModified());
        } catch (Exception e) { System.out.println("   getLastModified : Exception");}
        try {
        System.out.println("   getOutputStream :"+uc.getOutputStream());
        } catch (Exception e) { System.out.println("   getOutputStream : Exception");}
        try {
        System.out.println("   getPermission :"+uc.getPermission());
        } catch (Exception e) { System.out.println("   getPermission : Exception");}
        try {
        System.out.println("   getURL :"+uc.getURL());
        } catch (Exception e) { System.out.println("   getURL : Exception");}
        try {
        System.out.println("   getUseCaches :"+uc.getUseCaches());
        } catch (Exception e) { System.out.println("   getUseCaches : Exception");}
        try {
        System.out.println("   toString :"+uc.toString());
        } catch (Exception e) { System.out.println("   toString : Exception");}
      }
      catch (IOException e) {
        System.err.println(e);
      }
  }
}