package ParsenMIMEHeaders;

/**
 * Title:        Parsen eines MIME Headers
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.net.*;
import java.io.IOException;

public class MimeHeader {
  public static void main(String args[]) {
    System.out.println("Start MIMEHeader\n");

    URL u;
    URLConnection uc;
    String header;

    for (int i=0; i < args.length; i++) {
      try {
        u = new URL(args[i]);
        uc = u.openConnection();
        System.out.println("URL : "+u);
        System.out.println("Connection : "+uc+"\n -----------");

        report(u, uc);
        System.out.println("");

        for (int j = 1; ; j++) {
          header = uc.getHeaderField(j);
          if (header == null) break;
          System.out.println(uc.getHeaderFieldKey(j) + " " + header);
        }  // for
      }  // try
      catch (MalformedURLException e) {
        System.err.println(args[i] + " ist nicht als URL interpretierbar.");
      }
      catch (IOException e) {
        System.err.println(e);
      }
    }  // for
    System.out.println("Ende MIMEHeader");
  }  // main
  public static void report(URL uURL,URLConnection ucURL) {
      URL u = uURL;
      URLConnection uc = ucURL;
      try {
        uc = u.openConnection();
        // fragen Sie mit dem Debugger alle Eigenschaften von uc ab
        System.out.println("Eigenschaften der URLConnection:");
        System.out.println("   getAllowInteraction :"+uc.getAllowUserInteraction());
        try {
        System.out.println("   getContent :"+uc.getContent());
        } catch (Exception e) { System.out.println("   getContent : Exception");}
        try {
        System.out.println("   getContentEncoding :"+uc.getContentEncoding());
        } catch (Exception e) { System.out.println("   getContentEncoding : Exception");}
        try {
        System.out.println("   getContentLength :"+uc.getContentLength());
        } catch (Exception e) { System.out.println("   getContentLength : Exception");}
        try {
        System.out.println("   getContentType :"+uc.getContentType());
        } catch (Exception e) { System.out.println("   getContentType : Exception");}
        try {
        System.out.println("   getDate :"+uc.getDate());
        } catch (Exception e) { System.out.println("   getDate : Exception");}
        try {
        System.out.println("   getDefaultAllowUserInteraction :"+uc.getDefaultAllowUserInteraction());
        } catch (Exception e) { System.out.println("   getDefaultAllowUserInteraction : Exception");}
        try {
        System.out.println("   getDefaultUseCaches :"+uc.getDefaultUseCaches());
        } catch (Exception e) { System.out.println("   getDefaultUseCaches : Exception");}
        try {
        System.out.println("   getDoInput :"+uc.getDoInput());
        } catch (Exception e) { System.out.println("   getDoInput : Exception");}
        try {
        System.out.println("   getDoOutput :"+uc.getDoOutput());
        } catch (Exception e) { System.out.println("   getDoOutput : Exception");}
        try {
        System.out.println("   getExpiration :"+uc.getExpiration());
        } catch (Exception e) { System.out.println("   getExpiration : Exception");}
        try {
        System.out.println("   getFileNameMap :"+uc.getFileNameMap());
        } catch (Exception e) { System.out.println("   getFileNameMap : Exception");}
        try {
        System.out.println("   getIfModifiedSince :"+uc.getIfModifiedSince());
        } catch (Exception e) { System.out.println("   getIfModifiedSince : Exception");}
        try {
        System.out.println("   getInputStream :"+uc.getInputStream());
        } catch (Exception e) { System.out.println("   getInputStream : Exception");}
        try {
        System.out.println("   getLastModified :"+uc.getLastModified());
        } catch (Exception e) { System.out.println("   getLastModified : Exception");}
        try {
        System.out.println("   getOutputStream :"+uc.getOutputStream());
        } catch (Exception e) { System.out.println("   getOutputStream : Exception");}
        try {
        System.out.println("   getPermission :"+uc.getPermission());
        } catch (Exception e) { System.out.println("   getPermission : Exception");}
        try {
        System.out.println("   getURL :"+uc.getURL());
        } catch (Exception e) { System.out.println("   getURL : Exception");}
        try {
        System.out.println("   getUseCaches :"+uc.getUseCaches());
        } catch (Exception e) { System.out.println("   getUseCaches : Exception");}
        try {
        System.out.println("   toString :"+uc.toString());
        } catch (Exception e) { System.out.println("   toString : Exception");}
      }
      catch (IOException e) {
        System.err.println(e);
      }
  }
}