
//Titel:        Binre Dateien herunterladen
//Version:
//Copyright:    Copyright (c) 1999
//Autor:       J.M.Joller
//Firma:
//Beschreibung:  Beispiel 10_13
//URLConnection
package Beispiel10_13;
import java.net.*;
import java.io.*;

public class KlasseBeispiel10_13 {
  public static void main (String args[]) {
    System.out.println("Start Beispiel 10_13");
    for (int i = 0; i < args.length; i++) {
      try {
        URL root = new URL(args[i]);
        System.out.println("Datei : "+root);
        saveBinaryFile(root);
      }
      catch (MalformedURLException e) {
        System.err.println(args[i] + " ist kein korrekter URL.");
      }
    } // end for
    System.out.println("Ende Beispiel 10_13");
  } // end main


  public static void saveBinaryFile(URL u) {

    int bfr = 128;

    try {
      URLConnection uc = u.openConnection();
      String ct = uc.getContentType();
      int cl = uc.getContentLength();
      if (ct.startsWith("text/") || cl == -1 ) {
        System.err.println("Das ist keine binre Datei.");
        return;
      }
      System.out.println("URLConnection : "+uc);
      System.out.println("getContenType : "+ct);
      System.out.println("getContentLength : "+cl);
      InputStream is = uc.getInputStream();
      byte[] b = new byte[cl+bfr];  // +bfr : Byte Array gross genug whlen
      int bytesread = 0;
      int offset = 0;
      while ((bytesread >= 0)&&(cl>-1)) {
         bytesread = is.read(b, offset, bfr); //bfr = 128;
         // bytesread = -1 bei EOF
         if (bytesread == -1) break;
         offset = offset + bytesread;
      }
      System.out.println("Die Datei ist im Byte Array b gespeichert");
      if (offset != cl) {
        System.err.println("Fehler: es wurden nur " + offset + " Bytes gelesen");
        System.err.println("Erwartet wurden " + cl + " Bytes");
      }
      String strFile = u.getFile();
      strFile = strFile.substring(strFile.lastIndexOf('/') + 1);
      System.out.println("Die Datei heisst "+strFile);
      FileOutputStream fout = new FileOutputStream(strFile);
      fout.write(b);
      System.out.println("Die Datei "+strFile+" wurde lokal gespeichert!");
    }  // end try
    catch (Exception e) {
     System.err.println(e);
    }
    return;
  } // end
}